(*  :Title:	Initialization (Stubs) for entire Signal Processing Package  *)

(*  :Authors:	Brian Evans, James McClellan  *)

(*  :Summary:	This is an initialization file only  *)

(*  :Context:	none  *)

(*  :PackageVersion:  2.74	*)

(*
    :Copyright:	Copyright 1989-1992 by Brian L. Evans
		Georgia Tech Research Corporation

	Permission to use, copy, modify, and distribute this software
	and its documentation for any purpose and without fee is
	hereby granted, provided that the above copyright notice
	appear in all copies and that both that copyright notice and
	this permission notice appear in supporting documentation,
	and that the name of Georgia Tech or Georgia Institute of
	Technology not be used in advertising or publicity pertaining
	to distribution of the software without specific, written prior
	permission.  Georgia Tech makes no representations about the
	suitability of this software for any purpose.  It is provided
	"as is" without express or implied warranty.
 *)

(*  :History:	*)

(*  :Keywords:	*)

(*  :Source:	*)

(*  :Warning:	*)

(*  :Mathematica Version:  1.2 or 2.0  *)

(*  :Limitation:  *)


(*  B E G I N     I N I T I A L I Z A T I O N  *)

Block [	{oldoutput, tmpfile, tmpstream},

	If [ TrueQ[ $VersionNumber >= 2.0 ],
	     oldoutput = $Output;
	     tmpstream = OpenTemporary[];
	     $Output = {tmpstream} ];

	Needs[ "SignalProcessing`Digital`" ];
	Needs[ "SignalProcessing`Analog`" ];

	If [ TrueQ[ $VersionNumber >= 2.0 ],
	     $Output = oldoutput;
	     tmpfile = Close[tmpstream];
	     DeleteFile[tmpfile] ] ]


Null
